Bug 130845 - Sidebar is displayed while it's collapsed (gtk3)
Summary: Sidebar is displayed while it's collapsed (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2020-02-21 15:27 UTC by Xisco Faulí
Modified: 2020-03-04 12:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (707.51 KB, video/x-matroska)
2020-02-21 15:27 UTC, Xisco Faulí
Details
seems to work ok for me (166.07 KB, video/webm)
2020-02-24 09:48 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-02-21 15:27:17 UTC
Created attachment 158081 [details]
screencast

Steps to reproduce:
1. Open attachment 158030 [details] from bug 130792
2. collapse the sidebar ( if it's already colapsed, expand it and collapse it again )
3. Select the shape

-> Sidebar is displayed

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: bc994a4b01cf61444452bb377010c7c4cc377698
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-02-21 15:28:55 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=40fe5b93bc0838e04b46bfc7942d1ee6a2482ce0

author	Caolán McNamara <caolanm@redhat.com>	2020-01-02 14:45:32 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-01-06 16:44:21 +0100
commit	40fe5b93bc0838e04b46bfc7942d1ee6a2482ce0 (patch)
tree	151814d0863c9912d18722732beb13b1e22e0ff1
parent	d1133d71a6109d1999121fd6a91573d12dc4852b (diff)
weld AreaPropertyPanel

Bisected with: bibisect-linux64-6.5

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2020-02-24 09:48:38 UTC
Created attachment 158136 [details]
seems to work ok for me

what's the gtk3 version ? Its possible that this will go away when the panel conversions are complete, that said I don't see it now.
Comment 3 Xisco Faulí 2020-02-24 15:39:50 UTC
(In reply to Caolán McNamara from comment #2)
> Created attachment 158136 [details]
> seems to work ok for me
> 
> what's the gtk3 version ? Its possible that this will go away when the panel
> conversions are complete, that said I don't see it now.

3.24.5-1
Ok, I'll keep an eye on it to see if it goes away at some point...
Comment 4 Maxim Monastirsky 2020-02-24 18:18:36 UTC
I can reproduce it under Fedora 31. It's important to have the sidebar expanded already when the document opened. So first open Draw, expand the sidebar, close Draw, and only then open the document.
Comment 5 Caolán McNamara 2020-02-26 12:29:15 UTC
I can see it now
Comment 6 Commit Notification 2020-02-26 15:43:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2cf5fa87c405e5665ad14951b52c7cae38ab79fc

tdf#130845 sidebar widget visible when sidebar collapsed

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-03-04 12:13:40 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: c57d6d39c80844c9d4c6bfed85cc151e52a67b34
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!